---
description: >-
  The tofu logout command is used to remove credentials stored by tofu
  login.
---

# Command: logout

The `tofu logout` command is used to remove credentials stored by
`tofu login`. These credentials are API tokens for any host that offers OpenTofu-compatible services.

## Usage

Usage: `tofu logout [hostname]`

:::note
The API token is only removed from local storage, not destroyed on
the remote server, so it will remain valid until manually revoked.
:::

## Credentials Storage

By default, OpenTofu will remove the token stored in plain text in a local CLI
configuration file called `credentials.tfrc.json`. If you have configured a
[credentials helper program](../../cli/config/config-file.mdx#credentials-helpers), OpenTofu
will use the helper's `forget` command to remove it.
